Package com.sun.ts.lib.util.sec.misc

# Class ExtensionInfo

java.lang.Object
com.sun.ts.lib.util.sec.misc.ExtensionInfo

public class ExtensionInfo extends Object
This class holds all necessary information to install or upgrade a extension on the user's disk

Author:
  Jerome Dochez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `COMPATIBLE`
  public static values returned by the isCompatible method
  `String`
  `implementationVersion`
  `static final int`
  `INCOMPATIBLE`
  `String`
  `name`
  `static final int`
  `REQUIRE_IMPLEMENTATION_UPGRADE`
  `static final int`
  `REQUIRE_SPECIFICATION_UPGRADE`
  `static final int`
  `REQUIRE_VENDOR_SWITCH`
  `String`
  `specVendor`
  `String`
  `specVersion`
  `String`
  `title`
  attributes fully describer an extension.
  `String`
  `url`
  `String`
  `vendor`
  `String`
  `vendorId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExtensionInfo()`
  Create a new uninitialized extension information object
  `ExtensionInfo(String extensionKey, Attributes attr)`
  Create and initialize an extension information object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `isCompatibleWith(ExtensionInfo ei)`
  `String`
  `toString()`
  helper method to print sensible information on the undelying described extension

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### COMPATIBLE

    public static final int COMPATIBLE
    public static values returned by the isCompatible method
    See Also:
      - Constant Field Values

  - ### REQUIRE_SPECIFICATION_UPGRADE

    public static final int REQUIRE_SPECIFICATION_UPGRADE
    See Also:
      - Constant Field Values

  - ### REQUIRE_IMPLEMENTATION_UPGRADE

    public static final int REQUIRE_IMPLEMENTATION_UPGRADE
    See Also:
      - Constant Field Values

  - ### REQUIRE_VENDOR_SWITCH

    public static final int REQUIRE_VENDOR_SWITCH
    See Also:
      - Constant Field Values

  - ### INCOMPATIBLE

    public static final int INCOMPATIBLE
    See Also:
      - Constant Field Values

  - ### title

    public String title
    attributes fully describer an extension. The underlying described extension may be installed and requested.

  - ### name

    public String name

  - ### specVersion

    public String specVersion

  - ### specVendor

    public String specVendor

  - ### implementationVersion

    public String implementationVersion

  - ### vendor

    public String vendor

  - ### vendorId

    public String vendorId

  - ### url

    public String url

- ## Constructor Details

  - ### ExtensionInfo

    public ExtensionInfo()
    Create a new uninitialized extension information object

  - ### ExtensionInfo

    public ExtensionInfo(String extensionKey, Attributes attr) throws NullPointerException
    Create and initialize an extension information object. The initialization uses the attributes passed as being the content of a manifest file to load the extension information from. Since manifest file may contain information on several extension they may depend on, the extension key parameter is prepanded to the attribute name to make the key used to retrieve the attribute from the manifest file
    Parameters:
      `extensionKey` - unique extension key in the manifest
      `attr` - Attributes of a manifest file
    Throws:
      `NullPointerException`

- ## Method Details

  - ### isCompatibleWith

    public int isCompatibleWith(ExtensionInfo ei)
    Parameters:
      `the` - requested extension information to compare to
    Returns:
      true if the extension described by this extension information is compatible with the extension described by the extension information passed as a parameter

  - ### toString

    public String toString()
    helper method to print sensible information on the undelying described extension
    Overrides:
      `toString` in class `Object`